System.ServiceModel 4.0.0.0 ReferenceTypeConstraint System.ServiceModel.Channels.IChannel System.ServiceModel.Channels.IChannelListener To be added.

Listener factories that implement the or interfaces provide services with the mechanisms used to accept the channels produced by clients that initiate and enable communication with a service.

Implementing the contract allows users to accept multiple channels of a given type without having to specify the channel type each time. In other words, defining the channel type as a generic parameter for the interface means that it is not necessary to pass the type into the methods. If users want to accept different channel types, they can create additional channel listeners for each type of channel required.

Defines the interface that must be implemented by channel listeners to accept type-specific channels.

- Method
  4.0.0.0
  TChannel

  It is recommended that the overload with the explicit timeout be used. The specified for that method overrides any default timeouts set by the system for the service.

  Accepts a channel of a specified type for communication with a client.

  A channel of type accepted by the listener.

- Method
  4.0.0.0
  TChannel ``

  It is recommended that this overload with an explicit timeout be used rather than the . The specified for this method overrides any default timeouts set by the system for the service.

  Accepts a channel of a specified type for communication with a client within a specified interval of time.

  A channel of type accepted by the listener.

  The that specifies how long the wait for a channel operation has to complete before timing out.
- Method
  4.0.0.0
  System.IAsyncResult `` ``

  It is recommended that the overload with the explicit timeout be used. The specified for that method overrides any default timeouts set by the system for the service.

  Begins an asynchronous operation to accept a channel.

  The that references the asynchronous acceptance of a channel operation.

  The delegate that receives the notification of the asynchronous completion of the accept for a channel operation. An object, specified by the application, that contains state information associated with the asynchronous accept for a channel operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  It is recommended that this overload with an explicit timeout be used rather than the . The specified for this method overrides any default timeouts set by the system for the service.

  Begins an asynchronous operation to accept a channel within a specified interval of time.

  The that references the asynchronous acceptance of a channel operation.

  The that specifies how long the wait for a channel operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the accept for a channel operation. An object, specified by the application, that contains state information associated with the asynchronous accept for a channel operation.
- Method
  4.0.0.0
  TChannel `` To be added.

  Completes an asynchronous operation to accept a channel.

  A channel of type accepted by the listener.

  The returned by a call to the method.